import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_template_CollectionTemplate_mjs__ from "../../data-source/collection-template/CollectionTemplate.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__ from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class GeneralCollectionTemplate extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_template_CollectionTemplate_mjs__.CollectionTemplate {
    constructor(...args){
        super(...args), _define_property(this, "name", 'general'), _define_property(this, "title", '{{t("General collection")}}'), _define_property(this, "order", 1), _define_property(this, "color", 'blue'), _define_property(this, "default", {
            fields: []
        }), _define_property(this, "configurableProperties", (0, __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.getConfigurableProperties)('title', 'name', 'inherits', 'category', 'description', 'presetFields'));
    }
}
export { GeneralCollectionTemplate };
